﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated by a tool.
//     Runtime Version:4.0.30319.42000
//
//     Changes to this file may cause incorrect behavior and will be lost if
//     the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace OperationalRiskException.Services.EntrustService {
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    [System.ServiceModel.ServiceContractAttribute(ConfigurationName="EntrustService.IService")]
    public interface IService {
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService/AuthenticateUser", ReplyAction="http://tempuri.org/IService/AuthenticateUserResponse")]
        bool AuthenticateUser(string token, string userNameOrEmployeeId);
        
        [System.ServiceModel.OperationContractAttribute(Action="http://tempuri.org/IService/AuthenticateUser", ReplyAction="http://tempuri.org/IService/AuthenticateUserResponse")]
        System.Threading.Tasks.Task<bool> AuthenticateUserAsync(string token, string userNameOrEmployeeId);
    }
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public interface IServiceChannel : OperationalRiskException.Services.EntrustService.IService, System.ServiceModel.IClientChannel {
    }
    
    [System.Diagnostics.DebuggerStepThroughAttribute()]
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.ServiceModel", "4.0.0.0")]
    public partial class ServiceClient : System.ServiceModel.ClientBase<OperationalRiskException.Services.EntrustService.IService>, OperationalRiskException.Services.EntrustService.IService {
        
        public ServiceClient() {
        }
        
        public ServiceClient(string endpointConfigurationName) : 
                base(endpointConfigurationName) {
        }
        
        public ServiceClient(string endpointConfigurationName, string remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ServiceClient(string endpointConfigurationName, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(endpointConfigurationName, remoteAddress) {
        }
        
        public ServiceClient(System.ServiceModel.Channels.Binding binding, System.ServiceModel.EndpointAddress remoteAddress) : 
                base(binding, remoteAddress) {
        }
        
        public bool AuthenticateUser(string token, string userNameOrEmployeeId) {
            return base.Channel.AuthenticateUser(token, userNameOrEmployeeId);
        }
        
        public System.Threading.Tasks.Task<bool> AuthenticateUserAsync(string token, string userNameOrEmployeeId) {
            return base.Channel.AuthenticateUserAsync(token, userNameOrEmployeeId);
        }
    }
}
